export default class ApplicationConfigEntity {
  auto_ip_address: string = "";
  gateway: string = "";
  mac_address: string = "";
  subnet_mask: string = "";
  use_ntp: string = "";
  ntp_server: string = "";
  ntp_sync_delay: string = "";
  time_zone: number = 21;
  wall_row: number = 1;
  wall_col: number = 1;
  tcp_port: string = "";
  udp_port: string = "";
  websocket_port: string = "";
  httpserver_port: string = "";
  root_fs_upload_path: string = "";
  media_upload_dir: string = "";
  power_on_plan: string = "";
  graphics_brightness: number = 100;
  graphics_contrast: number = 100;
  graphics_hue: number = 100;
  device_rotate: number = 0;
  system_volume: number = 100;
  system_muted: number = 0;
  output_audio_card: string = "";
  application_data_dir: string = "";
  runtime_os: string = "";
  registered: boolean = false;
}
